Page MenuHomePhabricator

efl_ui_scroller: apply handling focus.
ClosedPublic

Authored by eagleeye on Jan 25 2019, 1:54 AM.

Details

Summary

Focus manager is applied to process key events.

Test Plan

elementary_test -> efl.ui.scroller

Diff Detail

Repository
rEFL core/efl
Branch
master
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 9465
eagleeye created this revision.Jan 25 2019, 1:54 AM

It seems that this patch has no reviewers specified. If you are unsure who can review your patch, please check this wiki page and see if anyone can be added: https://phab.enlightenment.org/w/maintainers_reviewers/

eagleeye requested review of this revision.Jan 25 2019, 1:54 AM
bu5hm4n requested changes to this revision.Jan 26 2019, 8:39 AM
bu5hm4n added a subscriber: bu5hm4n.
bu5hm4n added inline comments.
src/lib/elementary/efl_ui_scroller.c
41

This function is never executed, this patch misses the configuration update for the Efl.Ui.Scroller key bindings.

116

Can you explain why this is a FIXME ? :)

538

Unused vars.

This revision now requires changes to proceed.Jan 26 2019, 8:39 AM
eagleeye updated this revision to Diff 19089.Jan 30 2019, 11:13 PM
  1. add Efl.Ui.Scroller key bindings
  2. We don't have a property about step. It determines scroll amount when arrow up/down is clicked. (I think step is not good naming.)
bu5hm4n added inline comments.
src/lib/elementary/efl_ui_scroller.c
116

Okay, I see. In the legacy code this is also 32 multiplied with scale, i would definitly keep that. Further more @Jaehyun_Cho @woohyun do you think its worth adding an API for the step_size_get into efl.ui.scroll_manager ?

@eagleeye I can see why you added this fixme. However, i want to get down the amount of FIXMEs we have, since we tend to forget about those, hence resolving in advance :)

woohyun added inline comments.Feb 11 2019, 11:03 PM
src/lib/elementary/efl_ui_scroller.c
116

I also think step_size_set/get is needed.

@eagleeye
Could you add them if there is no issue with this ?

eagleeye updated this revision to Diff 19336.EditedFeb 12 2019, 8:28 PM
eagleeye marked 2 inline comments as done.

apply step_size_get method

https://phab.enlightenment.org/D7916

eagleeye updated this revision to Diff 19337.Feb 12 2019, 8:34 PM

delete code.

Nice, works except one tiny thing! :)

The config needs a version bumb, see D6779 as an example :)

bu5hm4n requested changes to this revision.Feb 13 2019, 3:45 AM
This revision now requires changes to proceed.Feb 13 2019, 3:45 AM
eagleeye updated this revision to Diff 19680.Feb 25 2019, 6:10 PM

rebase and update config version

eagleeye updated this revision to Diff 19681.Feb 25 2019, 6:41 PM

fix build error

bu5hm4n accepted this revision.Feb 25 2019, 11:31 PM

Cool, thx!

This revision is now accepted and ready to land.Feb 25 2019, 11:31 PM
Closed by commit rEFL493b095add08: efl_ui_scroller: apply handling focus. (authored by Hosang Kim <hosang12.kim@samsung.com>, committed by 김호상/Tizen Platform Lab(SR)/Engineer/삼성전자 <CORP\hosang12.kim@hosang.tn.corp.samsungelectronics.net>). · Explain WhyFeb 25 2019, 11:53 PM
This revision was automatically updated to reflect the committed changes.